#!/bin/bash

# This script is necessary to avoid polluting ${TOPDIR} with a lot
# of autogenerated junk files.

# This should not be created under /tmp since it might be mounted
# with the noexec option
T=`mktemp -d -p /var/tmp`
trap "rm -rf $T ; exit 1" ERR

SCRIPT=`readlink -f ${1}`
OUT=`readlink -f $2`

cd $T

sh ${SCRIPT} > /dev/null
mv config/config.h ${OUT}

cd - > /dev/null

rm -rf $T
exit 0

